# OnFOSS LAN organization

An event will take span multiple hours, or even days, depending on the schedule. The idea is to bring players together to play multiplayer open source games that may not be widely known. The event is about inclusion so the games should be available on all 3 major platforms (Linux, MacOS, Windows).

## Checklist

0. Test the games you want to play!
1. Choose your organization team
2. Set a date
3. Choose games to play
4. (Optional) Get somebody to stream
5. Public presence
6. Schedule the event
7. Advertise event
8. (Optional) Tournament registrations
9. Server preparation
10. Managing event
11. After the event is be before the event

## Before event

### Test your games!

All onFOSS-LAN games needs to be tested beforehand! Like, setting up a server and try to connect to it. Also check if there is a release for Linux/MacOS/Windows, because self-compiling should not be mandatory.

### Choose your team

You can totally do a onFOSS-LAN on your own, however, you are limited to your own resources! For example, you can not managing players and also do a live-stream. If you plan a tournament you need somebody to help out organizing the groups and peoples. Get a dedicated streamer, advertiser, helping hands or anything else to accomplish bigger events.

### Set a date

Choose a date that suites you, the hoster! You have to organize the event, so you should be totally free! Also check if there are major holliday seasons that may decline the number of attendances. An event should ideally be announced well in advance (at least two weeks, for bigger events even a month) so that people can keep their schedule clear. Optionally, times can be polled in the main [Matrix](https://matrix.to/#/#xmpp_onfoss_conference.hribhrib.at:matrix.org)/[XMPP](xmpp:onfoss@conference.hribhrib.at?join) channel.

### Choose the games

The list of games to be played can be up to the host, but good ideas can be had by asking the community. That is the Matrix/XMPP channel again but also [FreeGameDev.net](http://FreeGameDev.net) is a good place.

### Live-Streaming

Live-streaming is a great addition to the event. Some players don't want to play a particular game or not at all, but want to "be part of the event". So streaming suites perfectly for that cases. Also, if you plan a tournament it is highly recommended to stream it! If you have a dedicated streamer, you may check if you get some game developers to have an interview or talk about the games they developed.

### Public presence

Ideally, the event would have a webpage with the details about the event with most importantly, the means of communication during the event. Also check out that you get listed on [onfoss.libregaming.org](https://onfoss.libregaming.org/). The website can be on the event server itself or hosted somewhere else. A ready-made page is available, see "Server preparation" below.

### Schedule the event

There should be a schedule with what games are played at what time so that participants will have the time to install the games beforehand. There can also be time set aside for free play where everybody decides on the spot which game they'd like to play. It would be one of the games already installed on the server. Also plan for breaks! It is higly recommended to do a 15-30 min break at least every 4 hours! 

### Advertising

Once a time and list of games is set, advertise this in multiple places. Make sure the time is in UTC since people will join from many different time zones. Example of places to advertise:

* Main [Matrix](https://matrix.to/#/#xmpp_onfoss_conference.hribhrib.at:matrix.org)/[XMPP](xmpp:onfoss@conference.hribhrib.at?join) channel
* [Libre Gaming matrix channel](https://matrix.to/#/#libregaming-general:tchncs.de)
* [Opensourcegames subreddit](https://www.reddit.com/r/opensourcegames/)
* [Opensourcegames Lemmy](https://lemmy.ml/c/opensourcegames)
* Mastodon with the #FOSS and #opensource tag

It is also very important to send a reminder one week, 3 days and the day before the event.

### Server preparation

First you have to get a VPS to host the servers on. This can be accomplish by either having one, renting it hourly for the time of the event (plus preparation-time) or get a sponsor to give you access to a server!

A ready-made configuration script is available to build a server hosting various game servers. It sets up a website listing all of the games and also downloads, installs and configures the game servers. It was created for a freshly installed Debian 11 machine. The script can be downloaded here:

* <https://git.libregaming.org/DeathByDenim/gameserver>
* <https://github.com/DeathByDenim/gameserver>

Both repositories are in sync. It doesn't matter which one is used. Running the `deploy.sh` script installs the game servers as listed in the repository. Every server will have the same randomly generated admin password. Some servers can also be controlled from the Admin section of the website.

For running games that do not have a deploy script, create one and ideally submit it back to one of the repositories so that it can be reused for future events. You'll also need to create a help page for that game for the website so that participants can join easily.

## During the event

Check that everything is working before the event starts.

### Managing event

Mumble is very good for communicating during the event. A dedicated instance for this is available at <mumble://hribhrib.at>. As the host, make sure you have joined the Mumble channel early and that the server is up and running. Make sure to also monitor the main [Matrix](https://matrix.to/#/#xmpp_onfoss_conference.hribhrib.at:matrix.org)/[XMPP](xmpp:onfoss@conference.hribhrib.at?join) channel as people may appear there as well, especially if they have issues joining Mumble.

Try to stick to the schedule as people may skip games they do not enjoy.

New games can be a bit experimental and might not work, so it is generally not recommended if you are new to hosting events. If that happens, simply pick a different another game or just the next one in the schedule.

This event can take several hours or span over days.

### Streaming

It's great if you can get someone to stream the event live. This is especially fun if part of the event is a tournament.

## After the event

Plan for the next one!

### After the event is be before the event

Gratefully thank people for joining and console the people, that didn't mangaged to join, that there will be a next event! Also sharing pictures or [videos](https://hribhrib.at/onfoss.mp4) of the event afterwards is very helpfull to bond the community together.
